Subject: Re: bug#47287: 28.0.50; [PATCH] Add command project-remove-known-project

From: Dmitry Gutov <[email-masked]>
Date: Mon, 22 Mar 2021 01:54:04 +0200

On 22.03.2021 01:21, Theodor Thornhill via Bug reports for GNU Emacs, 
the Swiss army knife of text editors wrote:
> Does this approach seem reasonable to you?

It's fine, but it would be better for both function's argument to follow 
projectile-add-known-project (meaning, call it 'project-root').

Regarding report-message, I figured it would just be a separate 
'message' call in both caller functions. Apparently that might to this 
message appearing more often (due to the requested project not actually 
appearing in project--list?), but I wonder if we shouldn't replace that 
when-let with a presence assertion instead.

Anyway, the latter is not a big deal; project--remove-from-project-list 
can be changed at any time later.